com.sun.star.script.framework.provider.oorexx

## Class ScriptEditorForooRexx

- java.lang.Object
- - com.sun.star.script.framework.provider.oorexx.ScriptEditorForooRexx

- All Implemented Interfaces:
    com.sun.star.script.framework.provider.ScriptEditor, java.awt.event.ActionListener, java.util.EventListener

      public class ScriptEditorForooRexx
      extends java.lang.Object
      implements com.sun.star.script.framework.provider.ScriptEditor, java.awt.event.ActionListener

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)`
    `void` | `edit(com.sun.star.script.provider.XScriptContext context, com.sun.star.script.framework.container.ScriptMetaData entry)` Opens an editor window for the specified ScriptMetaData.
    `java.lang.Object` | `execute()` Executes the script edited by the editor
    `static ScriptEditorForooRexx` | `getEditor()` Returns the global ScriptEditorForooRexx instance.
    `static ScriptEditorForooRexx` | `getEditor(java.net.URL url)` Get the ScriptEditorForooRexx instance for this URL
    `java.lang.String` | `getExtension()` Returns the default extension for ooRexx scripts
    `java.lang.String` | `getTemplate()` Returns the template text for ooRexx scripts
    `java.lang.String` | `getText()` Returns the text being displayed in this ScriptEditorForooRexx
    `void` | `indicateErrorLine(int lineNum)` Indicates the line where error occured
    `boolean` | `isModified()` Returns whether or not the script source being edited in this ScriptEditorForooRexx has been modified
    `void` | `setScriptMetaData(com.sun.star.script.framework.container.ScriptMetaData smd)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEditor

          public static ScriptEditorForooRexx getEditor()

      Returns the global ScriptEditorForooRexx instance.

    - #### getEditor

          public static ScriptEditorForooRexx getEditor(java.net.URL url)

      Get the ScriptEditorForooRexx instance for this URL
      Parameters:
        `url` - The URL of the script source file
      Returns:
        The ScriptEditorForooRexx associated with the given URL if one exists, otherwise null.

    - #### isModified

          public boolean isModified()

      Returns whether or not the script source being edited in this ScriptEditorForooRexx has been modified

    - #### getText

          public java.lang.String getText()

      Returns the text being displayed in this ScriptEditorForooRexx
      Returns:
        The text displayed in this ScriptEditorForooRexx

    - #### getTemplate

          public java.lang.String getTemplate()

      Returns the template text for ooRexx scripts
      Specified by:
        `getTemplate` in interface `com.sun.star.script.framework.provider.ScriptEditor`
      Returns:
        The template text for ooRexx scripts

    - #### getExtension

          public java.lang.String getExtension()

      Returns the default extension for ooRexx scripts
      Specified by:
        `getExtension` in interface `com.sun.star.script.framework.provider.ScriptEditor`
      Returns:
        The default extension for ooRexx scripts

    - #### indicateErrorLine

          public void indicateErrorLine(int lineNum)

      Indicates the line where error occured
      Specified by:
        `indicateErrorLine` in interface `com.sun.star.script.framework.provider.ScriptEditor`

    - #### setScriptMetaData

          public void setScriptMetaData(com.sun.star.script.framework.container.ScriptMetaData smd)

    - #### execute

          public java.lang.Object execute()
                                   throws java.lang.Exception

      Executes the script edited by the editor
      Specified by:
        `execute` in interface `com.sun.star.script.framework.provider.ScriptEditor`
      Throws:
        `java.lang.Exception`

    - #### edit

          public void edit(com.sun.star.script.provider.XScriptContext context,
                           com.sun.star.script.framework.container.ScriptMetaData entry)

      Opens an editor window for the specified ScriptMetaData. If an editor window is already open for that data it will be moved to the front.
      Specified by:
        `edit` in interface `com.sun.star.script.framework.provider.ScriptEditor`
      Parameters:
        `context` - The context in which to execute the script
        `entry` - The metadata describing the script

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`